curl --request POST \
--url 'https://api.stateset.com/api/v1/lots/{id}/reserve' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"expires_in_seconds": 250,
"quantity": "string",
"reference_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference_type": "string"
}'
{
"reservation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Reserve a lot
Reserve a lot
POST
/
api
/
v1
/
lots
/
{id}
/
reserve
curl --request POST \
--url 'https://api.stateset.com/api/v1/lots/{id}/reserve' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"expires_in_seconds": 250,
"quantity": "string",
"reference_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference_type": "string"
}'
{
"reservation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Path parameters
string
required
Lot ID
Request body
ReserveLotRequest
integer,null (int64)
string
required
Decimal quantity as a string.
string,null
string,null
Defaults to
api.Response
LotReservationResponse
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
409 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/lots/{id}/reserve' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"expires_in_seconds": 250,
"quantity": "string",
"reference_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference_type": "string"
}'
{
"reservation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026